APKBUILD 1.06 KB
Newer Older
1 2 3
# Contributor: Bart Ribbers <bribbers@disroot.org>
# Maintainer: Bart Ribbers <bribbers@disroot.org>
pkgname=dolphin-plugins
4
pkgver=21.04.1
5
pkgrel=0
6
arch="all !armhf !s390x !mips64"
7 8 9
url="https://www.kde.org/applications/system/dolphin/"
pkgdesc="Extra Dolphin plugins"
license="GPL-2.0-or-later"
10 11 12 13 14 15 16 17 18 19
makedepends="
	dolphin-dev
	extra-cmake-modules
	ki18n-dev
	kio-dev
	ktexteditor-dev
	ktextwidgets-dev
	kxmlgui-dev
	qt5-qtbase-dev
	"
20
source="https://download.kde.org/stable/release-service/$pkgver/src/dolphin-plugins-$pkgver.tar.xz"
21 22 23
subpackages="$pkgname-lang"

build() {
24
	cmake -B build \
25
		-DCMAKE_BUILD_TYPE=None \
26
		-DCMAKE_INSTALL_PREFIX=/usr \
27 28
		-DCMAKE_INSTALL_LIBDIR=lib \
		-DBUILD_svn=OFF # Broken "error: expected unqualified-id before '(' token"
29
	cmake --build build
30 31 32
}

check() {
33
	cd build
34 35 36 37
	CTEST_OUTPUT_ON_FAILURE=TRUE ctest
}

package() {
38
	DESTDIR="$pkgdir" cmake --build build --target install
39 40
}

41 42 43
sha512sums="
62ccbc3d8870f3352073299762d4ec6b8faf15a77a3530a6a93562ee776aded3a73a4d767523371c22fb7dec6c2ec8a1e9263ba2399a8fee7b20fc14c10ecf3a  dolphin-plugins-21.04.1.tar.xz
"